Summary:	MySQL database server
Name:		mysql
%define version	3.21.23
Version:	%{version}
Release:	2libc
ExclusiveArch:	i386 sparc alpha
Copyright:	distributable
Group:		Applications/Databases
Source0:	http://www.tcx.se/mysql-%{version}-beta.tar.gz
Source1:	mysql-init-db
Source2:	mysqld.log
Patch0:		mysql-3.21.patch
BuildRoot:	/tmp/mysql-root
Icon:		mysql.gif
URL:		http://http://www.tcx.se/
Requires:	readline libtermcap

%changelog
* Wed Mar 11 1998 Mihai Ibanescu <misa@dntis.ro>
- Compiled for libc
* Wed Feb 04 1998 Arne Coucheron <arneco@online.no>
- Updated to 3.21.23-1
- Using %attr macros
- Changed the mysql logrotate file so it doesn't kill off crond
- Various other fixes and cleanups

%description
MySQL is a SQL (Structured Query Language) database server. MySQL
was written by Michael (monty) Widenius. See the CREDITS file in the
distribution for more credits for MySQL and related things.

%package -n mysql-bench
Release: 2libc
Requires: mysql perl mysql-perl
Summary: MySQL - Benchmarks
Group: Applications/Databases

%description -n mysql-bench
MySQL is a SQL (Structured Query Language) database server. MySQL
was written by Michael (monty) Widenius. See the CREDITS file in the
distribution for more credits for MySQL and related things.

This package contains MySQL benchmark scripts and data.

%package -n mysql-devel
Release: 2libc
Requires: mysql = %{version}
Summary: MySQL - Development header files and libraries
Group: Applications/Databases

%description -n mysql-devel
MySQL is a SQL (Structured Query Language) database server. MySQL
was written by Michael (monty) Widenius. See the CREDITS file in the
distribution for more credits for MySQL and related things.

This package contains the development header files and libraries
necessary to develop client applications.

%package -n mysql-perl-bin
Provides: mysql-perl
Release: 2libc
Requires: mysql = %{version}
Requires: perl
Summary: MySQL - Perl Module and mysqlaccess script 
Group: Applications/Databases

%description -n mysql-perl-bin
MySQL is a SQL (Structured Query Language) database server. MySQL
was written by Michael (monty) Widenius. See the CREDITS file in the
distribution for more credits for MySQL and related things.

This package contains the MySQL Perl Module Mysql.pm and the
mysqlaccess perl script
 
%package -n mysql-client
Release: 2libc
Summary: MySQL - Client
Group: Applications/Databases

%description -n mysql-client
MySQL is a SQL (Structured Query Language) database server. MySQL
was written by Michael (monty) Widenius. See the CREDITS file in the
distribution for more credits for MySQL and related things.

This package contains just the MySQL client.

%ifarch i386
%define runarch i386
%endif

%ifarch sparc
%define runarch sparc
%endif

%ifarch alpha
%define runarch alpha
%endif

%prep
%setup -n mysql-%{version}-beta
%patch -p1  

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s \
 mysql_cv_termcap_lib=libtermcap \
 ./configure --without-debug --without-readline --enable-shared \
 --with-unix-socket-path=/var/lib/mysql/mysql.sock --prefix=$RPM_BUILD_ROOT \
 --exec-prefix=$RPM_BUILD_ROOT/usr --libexecdir=$RPM_BUILD_ROOT/usr/sbin \
 --infodir=$RPM_BUILD_ROOT/usr/info --sysconfdir=$RPM_BUILD_ROOT/etc \
 --datadir=$RPM_BUILD_ROOT/usr/share --mandir=$RPM_BUILD_ROOT/usr/man \
 --localstatedir=$RPM_BUILD_ROOT/var/lib/mysql \
 --includedir=$RPM_BUILD_ROOT/usr/include
make

%install
rm -rf $RPM_BUILD_ROOT
# I have no idea why I have to do this - Mihai
mkdir -p $RPM_BUILD_ROOT/usr/lib/perl5/i386-linux/5.00404
make install-strip

if [ ! -d $RPM_BUILD_ROOT/etc/rc.d/init.d ]; then
  mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
fi
install $RPM_BUILD_ROOT/usr/bin/mysql.server \
	$RPM_BUILD_ROOT/etc/rc.d/init.d/mysql
if [ ! -d $RPM_BUILD_ROOT/etc/logrotate.d ]; then
  mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
fi
install -m644 $RPM_SOURCE_DIR/mysqld.log $RPM_BUILD_ROOT/etc/logrotate.d/mysql
if [ -d $RPM_BUILD_ROOT/var/lib/mysql ]; then
  mv $RPM_BUILD_ROOT/var/lib/mysql /tmp/mysql-$$
fi
mkdir -p $RPM_BUILD_ROOT/var/lib/mysql
install -m644 $RPM_SOURCE_DIR/mysql-init-db \
	$RPM_BUILD_ROOT/var/lib/mysql/mysql-db.init

# I have no Idea why I have to do this - DAS
(cd $RPM_BUILD_ROOT/usr/lib; \
	ln -sf libmysqlclient.so.%{version}-beta libmysqlclient.so.4)

(cd $RPM_BUILD_ROOT/usr/lib/perl5/site_perl; \
	ln -sf i386-linux/auto/Mysql/Mysql.so Mysql.so)

%post
/sbin/ldconfig
if [ ! -d /var/lib/mysql/mysql ]; then
  echo "Initializing Grant Tables"
  /usr/sbin/mysqld --skip-grant-tables --log=/var/log/mysql.log \
	--pid-file=/var/run/mysqld.pid -Lmysql/english >/dev/null 2>&1 &
  sleep 1
  mysqladmin create mysql
  mysql mysql < /var/lib/mysql/mysql-db.init
  mysqladmin create test
  mysqladmin shutdown
fi
echo "Starting mysqld"
/etc/rc.d/init.d/mysql start >/dev/null 2>&1
echo

%pre
if [ -x /usr/bin/mysqladmin ]; then
  if mysqladmin status >/dev/null 2>&1; then
   /etc/rc.d/init.d/mysql stop;
  fi
fi

%preun
if [ -x /usr/bin/mysqladmin ]; then
  if mysqladmin status >/dev/null 2>&1; then
   /etc/rc.d/init.d/mysql stop;
  fi
fi

%postun
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(-,root,root) %doc PUBLIC README
%attr(-,root,root) /usr/bin/mysqlaccess
%attr(-,root,root) /usr/bin/comp_err
%attr(-,root,root) /usr/bin/isamchk
%attr(-,root,root) /usr/bin/isamlog
%attr(-,root,root) /usr/bin/msql2mysql
%attr(-,root,root) /usr/bin/mysql
%attr(-,root,root) /usr/bin/mysql_install_db
%attr(-,root,root) /usr/bin/mysqladmin
%attr(-,root,root) /usr/bin/mysqlbug
%attr(-,root,root) /usr/bin/mysqldump
%attr(-,root,root) /usr/bin/mysqlimport
%attr(-,root,root) /usr/bin/mysqlshow
%attr(-,root,root) /usr/bin/perror
%attr(-,root,root) /usr/bin/replace
%attr(-,root,root) /usr/bin/safe_mysqld
%attr(-,root,root) /usr/bin/which1
%attr(-,root,root) /usr/bin/zap
%attr(-,root,root) /usr/sbin/mysqld

%attr(-,root,root) %dir /var/lib/mysql
%attr(-,root,root) /var/lib/mysql/mysql-db.init
%attr(-,root,root) /etc/logrotate.d/mysql

%attr(-,root,root) %dir /usr/share/mysql
%attr(-,root,root) /usr/share/mysql/czech
%attr(-,root,root) /usr/share/mysql/dutch
%attr(-,root,root) /usr/share/mysql/english
%attr(-,root,root) /usr/share/mysql/french
%attr(-,root,root) /usr/share/mysql/german
%attr(-,root,root) /usr/share/mysql/norwegian
%attr(-,root,root) /usr/share/mysql/norwegian-ny
%attr(-,root,root) /usr/share/mysql/polish
%attr(-,root,root) /usr/share/mysql/portuguese
%attr(-,root,root) /usr/share/mysql/russian
%attr(-,root,root) /usr/share/mysql/spanish
%attr(-,root,root) /usr/share/mysql/swedish

%attr(-,root,root) /usr/lib/libmysqlclient.so 
%attr(-,root,root) /usr/lib/libmysqlclient.so.%{version}-beta

%attr(-,root,root) /etc/rc.d/init.d/mysql

%files -n mysql-bench
%attr(-,root,root) /var/lib/sql-bench

%files -n mysql-devel
%attr(-,root,root) /usr/lib/mysql
%attr(-,root,root) /usr/include/mysql

%files -n mysql-perl-bin
%attr(-,root,root) /usr/lib/perl5/site_perl/i386-linux/auto/Mysql
%attr(-,root,root) /usr/lib/perl5/site_perl/i386-linux/auto/Msql-Mysql-modules
%attr(-,root,root) /usr/lib/perl5/site_perl/i386-linux/auto/DBD
%attr(-,root,root) /usr/lib/perl5/site_perl/i386-linux/auto/DBI
%attr(-,root,root) /usr/lib/perl5/site_perl/Bundle
%attr(-,root,root) /usr/lib/perl5/site_perl/DBD
%attr(-,root,root) /usr/lib/perl5/site_perl/DBI
%attr(-,root,root) /usr/lib/perl5/site_perl/Msql
%attr(-,root,root) /usr/lib/perl5/site_perl/Mysql
%attr(-,root,root) /usr/lib/perl5/site_perl/DBI.pm
%attr(-,root,root) /usr/lib/perl5/site_perl/Mysql.pm
%attr(-,root,root) /usr/lib/perl5/site_perl/Msql.pm
%attr(-,root,root) /usr/lib/perl5/man/man3
%attr(-,root,root) /usr/lib/libmysqlclient.so.4

%files -n mysql-client
%attr(-,root,root) /usr/bin/mysql
%attr(-,root,root) /usr/bin/mysqlshow
%attr(-,root,root) /usr/lib/libmysqlclient.so 
%attr(-,root,root) /usr/lib/libmysqlclient.so.%{version}-beta
%attr(-,root,root) /usr/lib/libmysqlclient.so.4

%post -n mysql-client
/sbin/ldconfig
